%define module_name MsgPack-Raw
# BEGIN SourceDeps(oneline):
BuildRequires: libmsgpack-devel libsowing-devel perl(Dist/Zilla/Plugin/MakeMaker/Awesome.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XSLoader.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm) zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt3
Summary: Perl bindings to the msgpack C library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JA/JACQUESG/%{module_name}-%{version}.tar.gz

%description
use MsgPack::Raw;

_my $packer = MsgPack::Raw::Packer->new;
_my $packed = $packer->pack ({ a => 'b', c => 'd' });

_my $unpacker = MsgPack::Raw::Unpacker->new;
_$unpacker->feed ($packed);

_my $unpacked = $unpacker->next();

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.05-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2
- rebuild with perl 5.30

* Tue Nov 26 2019 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- updated by package builder

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- updated by package builder

* Mon Nov 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

